<!DOCTYPE html>
<html lang="ja">

<head>
    <title>連番を簡単に生成！！</title>
    <link rel="stylesheet" href="/css/pure-min.css">
    <link rel="stylesheet" href="/css/grids-responsive-min.css">
    <link rel="stylesheet" href="/css/ionicons.min.css">
    <link rel="stylesheet" href="/css/default.css">
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" />
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
</head>

<body class="no-theme">
    <span style="display:none" id="dark_mode_pref"></span>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24" id="contents">
            <div class="pure-g navbar h-box">
                <div class="pure-u-1 pure-u-md-12-24 searchbar">

                    <a href="/requestform">新機能の要望やバグ報告</a><br>
                    <a href="/bbs">掲示板</a>
                    <form class="pure-form" action="/search" method="get">
                        <fieldset>
                            <input type="search" id="searchbox" autocomplete="on" autocorrect="on" autocapitalize="none"
                                spellcheck="false" name="q" placeholder="検索" title="検索" value="">
                        </fieldset>
                    </form>
                </div>
            </div>
            <div id="player-container" class="h-box">
                <video style="outline:none;width:100%;background-color:#000;" playsinline="" poster="{% if proxy == "True" %}/thumbnail?v={{ videoid }}{% else %}https://img.youtube.com/vi/{{ videoid }}/0.jpg{% endif
                    %}" id="player" class="on-video_player video-js player-style-invidious" controls=""
                    loadedmetadata="settime()" loop="">
                    {% for videourl in videourls%}
                    <source src="{{videourl}}">
                    {% endfor %}
                </video>
            </div>
            <div>
                <label for="quality-selector">画質を選択:</label>
                <select id="quality-selector" onchange="changeQuality()">
                    <option value="hd720">720p</option>
                </select>
            </div>
            <div class="h-box">
                <h1>{{ videotitle }}</h1>
            </div>
            <div class="pure-g">
                <div class="pure-u-1 pure-u-lg-1-5">
                    <a href="{{ videourls[0] }}" target="_blank">ダウンロード</a><br>
                    <a
                        href="javascript:{navigator.share({title: '動画を共有',text: '{{videotitle}}',url: location.protocol+'//'+document.domain+'/watch?v={{ videoid }}'+'&t='+Math.floor(document.getElementById('player').currentTime),})}">現時点の動画を共有</a><br>
                    <a
                        href="javascript:{navigator.share({title: '動画を共有',text: '{{videotitle}}',url: location.href,})}">動画を共有</a><br>
                    <hr>
                </div>
                <div class="pure-u-1 pure-u-lg-3-5">
                    <div class="h-box">
                        <a href="/channel/{{authorid}}" style="display:block;width:fit-content;width:-moz-fit-content">
                            <div class="channel-profile">

                                <img src="{{authoricon}}">

                                <span id="channel-name">{{ author }}</span>
                            </div>
                        </a>
                        <div id="description-box">
                            <div id="descriptionWrapper">{{ description | safe}}</div>
                        </div>
                        <hr>
                        <div id="comments">
                        </div>
                    </div>
                </div>
                <div class="pure-u-1 pure-u-lg-1-5">
                    <!--自動再生<input type="checkbox" id="autonext" onchange="checkautoplay()"><br>-->
                    ループ再生<input type="checkbox" id="loop" onchange="changeloop()">
                    {% for re in res %}
                    <a href="/watch?v={{ re['id'] }}">

                        <div class="thumbnail">
                            <img loading="lazy" class="thumbnail" src="{% if proxy == "True" %}/thumbnail?v={{ re['id']}}{% else %}https://img.youtube.com/vi/{{ re['id'] }}/0.jpg{% endif %}">
                        </div>
                        <p style="width:100%">{{re["title"]}}</p>
                    </a><br>
                    <a href="/channel/{{re['authorId']}}">{{re["author"]}}</a>{% endfor %}
                </div>
            </div>
        </div>
    </div>
    <div class="pure-u-1 pure-u-md-2-24"></div>
    <script>
        document.cookie = "yuki=True;max-age=2592000;";
        function getCookie(name) { let matches = document.cookie.match(new RegExp("(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)")); return matches ? decodeURIComponent(matches[1]) : undefined; }
        //document.getElementById("autonext").checked = getCookie("autonext");
        function checkautoplay(){document.cookie = "autonext="+document.getElementById("autonext").checked+";max-age=2592000;";}
        document.getElementById("loop").checked = getCookie("loop");
        document.getElementById("player").loop = document.getElementById("loop").checked;
        function changeloop(){document.cookie = "autonext="+document.getElementById("loop").checked+";max-age=2592000;";document.getElementById("player").loop = document.getElementById("loop").checked}
        //function sleep(waitMsec) {var startMsec = new Date();while (new Date() - startMsec < waitMsec);}
        //function autopage(){if (document.getElementById('autonext').checked) {sleep(5000);document.cookie = "autonext=true;max-age=2592000;";location.href = "/watch?v={{res[0]["id"]}}";}else{document.cookie = "autonext=false;max-age=2592000;";}}
        function getUrlQueries() { var queryStr = window.location.search.slice(1); queries = {}; queryStr.split('&').forEach(function (queryStr) { var queryArr = queryStr.split('='); queries[queryArr[0]] = queryArr[1]; }); return queries; }
        if (typeof getUrlQueries().t === "undefined") { t = 0; } else { document.getElementById("player").currentTime = getUrlQueries().t; }
        var xhr = new XMLHttpRequest();
        xhr.open("GET", "/comments?v=" + getUrlQueries().v);
        xhr.onload = function () {
            if (xhr.status != 500) {
                document.getElementById('comments').innerHTML = xhr.responseText;
            }
            else { document.getElementById('comments').innerHTML = "エラーが発生しました。再読み込みを試してください"; }
        };
        xhr.send();
        if (document.domain != "yukigennumber.ddo.jp") { document.getElementById("ads_box").innerHTML = ""; }
        document.getElementById("player").style.maxHeight = document.documentElement.clientHeight * 0.8 + "px";

        document.onkeydown = keydown;
        function keydown(key) {
            var v = document.getElementById("player");

            if (key.keyCode == 32 || key.keyCode == 75) {
                if (v.paused == true) {
                    v.play();
                } else {
                    v.pause();
                }
            }
        }

        // Function to change video quality
        function changeQuality() {
            const quality = document.getElementById("quality-selector").value;
            const video = document.getElementById("player");
            const currentTime = video.currentTime;
            const source = video.querySelector('source');
            const baseUrl = source.src.split('&quality=')[0];
            source.src = `${baseUrl}&quality=${quality}`;
            video.load();
            video.currentTime = currentTime;
        }

        $('#searchbox').autocomplete({
            source: function (request, response) {
                {
                    var url = "/suggest?keyword=" + request.term
                    var xhr = new XMLHttpRequest();
                    xhr.open("GET", url);
                    xhr.onload = function () {
                        response(JSON.parse(xhr.responseText));
                    }
                    xhr.send();
                }
            }, delay: 300
        });
    </script>
</body>

</html>
